<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <GetChecks xmlns="http://micros-hosting.com/EGateway/">
      <ppCheckFilter>
        <RvcObjectNum>{{ revenue_center }}</RvcObjectNum>
        {%- if check_num is not none %}
        <CheckNumbers><int>{{ check_num }}</int></CheckNumbers>
        {%- endif %}
        {%- if lookup_start_date is not none %}
        <LookUpStartDate>{{ lookup_start_date }}</LookUpStartDate>
        {%- endif %}
        <IncludeClosedCheck>{{ include_closed_check }}</IncludeClosedCheck>
      </ppCheckFilter>
      <ppChecksResponse />
    </GetChecks>
  </soap:Body>
</soap:Envelope>